Synthesize text to speech
curl --request POST \
--url http://co-mind-platform-host/v1/echo/tts/synthesize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"voice_id": "en",
"speed": 1,
"language": "en",
"use_prosody": false,
"conversational": false,
"pacing": "normal"
}
'import requests
url = "http://co-mind-platform-host/v1/echo/tts/synthesize"
payload = {
"text": "<string>",
"voice_id": "en",
"speed": 1,
"language": "en",
"use_prosody": False,
"conversational": False,
"pacing": "normal"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
voice_id: 'en',
speed: 1,
language: 'en',
use_prosody: false,
conversational: false,
pacing: 'normal'
})
};
fetch('http://co-mind-platform-host/v1/echo/tts/synthesize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error",
"code": "bad_request"
}
}{
"error": {
"message": "Invalid authentication credentials",
"type": "permission_error",
"code": "unauthorized"
}
}Echo Engine - TTS
Synthesize text to speech
Convert text to speech audio. Returns WAV audio. Supports prosody planning and conversational mode for voice agents. Max text length: 5000 characters.
POST
/
v1
/
echo
/
tts
/
synthesize
Synthesize text to speech
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Body
application/json
Text to synthesize (max 5000 characters)
Maximum string length:
5000Voice ID from /v1/echo/tts/voices
Speech speed multiplier (0.5-2.0)
Language code (en, de, tr)
Enable prosody planning for natural pacing
Enable conversational mode with auto-detected presets
Speech pacing for conversational mode
Available options:
fast, normal, slow Response
Audio file (WAV)
The response is of type file.
⌘I

